GTPin

- Main Page
- Related Pages
- Modules
- Data Structures

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Public Member Functions | Static Public Member Functions
gtpin::GtIpoint Class Reference
Kernel Instrumentation

Relative location within the code at which instrumentation is inserted. More...

`#include <igt_kernel.h>`

## Public Member Functions
constexpr | GtIpoint (GT_IPOINT v=GT_IPOINT_INVALID)
| Conversion constructor.
constexpr | operator GT_IPOINT () const
| Conversion operator.
## Static Public Member Functions
static constexpr GtIpoint | Before ()
| Make "before" location.
static constexpr GtIpoint | After ()
| Make "after" location.

## Detailed Description

Relative location within the code at which instrumentation is inserted.

All Data Structures Functions Variables Typedefs Enumerations Enumerator

      Copyright (C) 2013-2025 Intel Corporation

      SPDX-License-Identifier: MIT